Package Details: purple-hangouts-hg r396.3f7d89bf9ce2-1

Git Clone URL: https://aur.archlinux.org/purple-hangouts-hg.git (read-only)
Package Base: purple-hangouts-hg
Description: A Pidgin plugin to support the proprietary protocol used by Google for the Hangouts service.
Upstream URL: https://bitbucket.org/EionRobb/purple-hangouts
Licenses: GPLv3+
Submitter: Teyras
Maintainer: Teyras
Last Packager: Teyras
Votes: 43
Popularity: 0.000114
First Submitted: 2016-02-11 15:18
Last Updated: 2019-10-31 20:42

Latest Comments

Teyras commented on 2019-10-31 20:44

@dreieck That's a missing dependency. It should be fixed now, thanks!

@tomek2102 I think you should report this to the actual developer, my knowledge of the code of the plugin is... nonexistent

dreieck commented on 2019-10-31 13:12

Fails to build for me:

==> Starting build()...
protoc-c --c_out=. hangouts.proto
protoc-c --c_out=. hangout_media.proto
protoc-c --c_out=. gmail.proto
protoc-c: error while loading shared libraries: libprotobuf.so.21: cannot open shared object file: protoc-cNo such file or directory: 
error while loading shared libraries: libprotobuf.so.21: cannot open shared object file: No such file or directory
protoc-c: error while loading shared libraries: libprotobuf.so.21: cannot open shared object file: No such file or directory
make: *** [Makefile:93: hangout_media.pb-c.c] Error 127
make: *** Waiting for unfinished jobs....
make: *** [Makefile:96: gmail.pb-c.c] Error 127
make: *** [Makefile:90: hangouts.pb-c.c] Error 127
==> ERROR: A failure occurred in build().
    Aborting...

tomek2102 commented on 2018-10-26 05:29

New messages are not arriving to pidgin. Sending is working correctly.

(07:35:22) hangouts: longpoll_request_content had error: 'Invalid HTTP response code (400)'

(07:35:22) hangouts: longpoll_request_closed 0 Error handling retrieved data

Teyras commented on 2018-10-06 20:59

Xplorer4x4: No, libpurple is enough.

Xplorer4x4 commented on 2018-10-06 19:14

Shouldn't Pidgin itself be a dependency?

Teyras commented on 2017-10-27 09:48

I updated the package (after quite some time), the licence should now be correct. The account manager seems to work well with Pidgin.

foxlg commented on 2016-09-29 11:09

Problem with getting google auth code.
The url does not work :/
"
400. That’s an error.

Error: invalid_scope

....
"

je-vv commented on 2016-08-03 04:36

Please notice that according to purple-hangouts.spec, the license is GPLv3+:

% 'grep' License purple-hangouts.spec
License: GPLv3+

Teyras commented on 2016-07-25 20:27

Done.

CorePoint commented on 2016-07-04 19:07

Just wanted to let you know that this compiles without a problem on 'armv6h'.

Could you add it to "arch="?